org.tmatesoft.svn.core.wc2

## Class SvnList

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNDirEntry>
    - - org.tmatesoft.svn.core.wc2.SvnList

- All Implemented Interfaces:
    ISvnObjectReceiver<SVNDirEntry>, ISvnOperationOptionsProvider

      public class SvnList
      extends SvnReceivingOperation<SVNDirEntry>

  Represents list operation. Reports the directory entry, and possibly children, for `target` at `revision`. The actual node revision selected is determined by the `target`'s path as it exists in its `pegRevision`. If `target`'s `pegRevision` is `invalid`, then it defaults to `SVNRevision.HEAD`.

  If `depth` is `SVNDepth.EMPTY`, lists just `target` itself. If `depth` is `SVNDepth.FILES`, lists `target` and its file entries. If `SVNDepth.IMMEDIATES`, lists its immediate file and directory entries. If `SVNDepth.INFINITY`, lists file entries and recurses (with `SVNDepth.INFINITY`) on directory entries.

  Note: this routine requires repository access.

  `SvnOperation.run()` method returns an array of `SVNDirEntry` objects. It throws `SVNException` in the following cases:
  exception with `SVNErrorCode.FS_NOT_FOUND` error code - if `url` is non-existent in the repository
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SvnList(SvnOperationFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEntryFields()` Returns entry fields whose controls which fields in the `SVNDirEntry` are filled in.
    `protected void` | `initDefaults()`
    `boolean` | `isChangesWorkingCopy()` Gets whether the operation changes working copy
    `boolean` | `isFetchLocks()` Returns whether to fetch locks information
    `boolean` | `isIgnoreExternals()`
    `void` | `setEntryFields(int entryFields)` Sets entry fields whose controls which fields in the `SVNDirEntry` are filled in.
    `void` | `setFetchLocks(boolean isFetchLocks)` Sets whether to fetch locks information
    `void` | `setIgnoreExternals(boolean ignoreExternals)`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

      `first, getReceiver, last, receive, run, setReceiver`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnList

          protected SvnList(SvnOperationFactory factory)

  - ### Method Detail

    - #### getEntryFields

          public int getEntryFields()

      Returns entry fields whose controls which fields in the `SVNDirEntry` are filled in. To have them totally filled in use `SVNDirEntry.DIRENT_ALL`, otherwise simply bitwise OR together the combination of fields you care about.
      Returns:
        entry fields flags

    - #### setEntryFields

          public void setEntryFields(int entryFields)

      Sets entry fields whose controls which fields in the `SVNDirEntry` are filled in. To have them totally filled in use `SVNDirEntry.DIRENT_ALL`, otherwise simply bitwise OR together the combination of fields you care about.
      Parameters:
        `entryFields` - entry fields flags

    - #### isFetchLocks

          public boolean isFetchLocks()

      Returns whether to fetch locks information
      Returns:
        `true` if the lock information should be fetched, otherwise `false`

    - #### setFetchLocks

          public void setFetchLocks(boolean isFetchLocks)

      Sets whether to fetch locks information
      Parameters:
        `isFetchLocks` - `true` if the lock information should be fetched, otherwise `false`

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<SVNDirEntry>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`

    - #### isIgnoreExternals

          public boolean isIgnoreExternals()

    - #### setIgnoreExternals

          public void setIgnoreExternals(boolean ignoreExternals)

    - #### initDefaults

          protected void initDefaults()

      Overrides:
        `initDefaults` in class `SvnReceivingOperation<SVNDirEntry>`